Package eu.mhsl.minenet.minigames.instance.game.minigame.config.common

# Class BoolOption

java.lang.Object
eu.mhsl.minenet.minigames.instance.game.minigame.config.Option<Boolean>
eu.mhsl.minenet.minigames.instance.game.minigame.config.common.BoolOption

public class BoolOption extends Option<Boolean>

- ## Field Summary

  ### Fields inherited from class eu.mhsl.minenet.minigames.instance.game.minigame.config.Option

  `currentValue`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoolOption(String id, net.minestom.server.item.Material item, String name)`

- ## Method Summary

  ### Methods inherited from class eu.mhsl.minenet.minigames.instance.game.minigame.config.Option

  `getAsInt, getAsString, getCurrent, getId, getNext`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BoolOption

    public BoolOption(String id, net.minestom.server.item.Material item, String name)